import { Repository } from "typeorm";
import { UserLocation } from "src/common/userlocation/userlocation.entity";
import { UserLocationHistory } from "src/common/userlocation/userlocationhistory.entity";
import { UpdateUserLocationDto } from "./userlocation.dto";
export declare class UserLocationService {
    private readonly userLocationRepository;
    private readonly userLocationRepositoryHistory;
    constructor(userLocationRepository: Repository<UserLocation>, userLocationRepositoryHistory: Repository<UserLocationHistory>);
    updateDriverLocation(updateLocationDto: UpdateUserLocationDto): Promise<UserLocation>;
    getDriverCurrentLocation(userId: number): Promise<UserLocation>;
    getDriverLocationHistory(userId: number): Promise<UserLocationHistory[]>;
    getNearbyDrivers(latitude: number, longitude: number, radius: number, service: string): Promise<any>;
}
